Api referenceBrand sections
Patch brand section
Apply a JSON Merge Patch (RFC 7396) to a brand section. Keys with null values are removed; all other keys are merged into the existing data.
Authorization
apiKey AuthorizationBearer <token>
API key with bp_prod_ or bp_stag_ prefix
In: header
Path Parameters
brandId*string
The unique identifier of the brand
Format
uuidsection*string
The brand section to operate on
Value in
"colors" | "typography" | "logos" | "tone" | "images" | "mission" | "audiences" | "art-direction" | "northstart-statement" | "things" | "web" | "audio"[key: string]?any
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.brandparser.com/v1/api/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sections/colors" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"data": {},
"meta": {
"is_overridden": true,
"override_updated_at": "2019-08-24T14:15:22Z"
}
}
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}{
"error": "Forbidden",
"message": "An active subscription is required to access this resource.",
"code": "SUBSCRIPTION_REQUIRED"
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}